## org.biojava.bio.dp
Class ScoreType.NullModel

    java.lang.Object
      org.biojava.bio.dp.ScoreType.NullModel

All Implemented Interfaces:
  Serializable, ScoreType

Enclosing interface:
  ScoreType

    public static class ScoreType.NullModel

extends Object
implements ScoreType, Serializable

In this class, calculateScore returns the probability of a Symbol being emitted by the null model.

Author:
  Matthew Pocock
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.dp.ScoreType
`ScoreType.NullModel, ScoreType.Odds, ScoreType.Probability`

Field Summary

Fields inherited from interface org.biojava.bio.dp.ScoreType
`NULL_MODEL, ODDS, PROBABILITY`

Constructor Summary
`ScoreType.NullModel()`

Method Summary
`double` `calculateScore(Distribution dist, Symbol sym)` Calculates the score associated with a distribution and a symbol.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScoreType.NullModel

    public ScoreType.NullModel()

Method Detail

### calculateScore

    public double calculateScore(Distribution dist,
                                 Symbol sym)
                          throws IllegalSymbolException

  Description copied from interface: `ScoreType`
  Calculates the score associated with a distribution and a symbol.

  Specified by:
    `calculateScore` in interface `ScoreType`
  Throws:
    `IllegalSymbolException`